Business

Endpoints to get business information.

GET /api/v1/negocio/

Gets the general business information.

Required headers

Header Value
X-API-Key Your API Key

Request example

cURL
curl -X GET "https://app.salonbookit.com/api/v1/negocio/" \
  -H "X-API-Key: hh_pub_live_abc123..."

Response (200 OK)

JSON
{
    "success": true,
    "data": {
        "id": "uuid-del-tenant",
        "nombre": "Hello Hair Men's Salon",
        "descripcion": "Barbería premium en el centro de Alicante",
        "email": "info@hellohair.com",
        "telefono": "+34612345678",
        "direccion": {
            "calle": "Calle Principal 123",
            "ciudad": "Alicante",
            "codigo_postal": "03001",
            "pais": "ES"
        },
        "coordenadas": {
            "lat": 38.3452,
            "lng": -0.4815
        },
        "logo_url": "https://app.salonbookit.com/media/logos/hellohair.png",
        "imagen_portada_url": "https://app.salonbookit.com/media/portadas/hellohair.jpg",
        "redes_sociales": {
            "instagram": "hellohairalicante",
            "facebook": "hellohairmen",
            "website": "https://hellohair.com"
        },
        "configuracion": {
            "moneda": "EUR",
            "simbolo_moneda": "€",
            "timezone": "Europe/Madrid",
            "idioma_principal": "es",
            "acepta_pagos_online": true,
            "requiere_pago_anticipado": false,
            "tiempo_cancelacion_horas": 24,
            "puntos_activo": true
        },
        "estadisticas": {
            "servicios_count": 12,
            "profesionales_count": 5,
            "valoracion_media": 4.8,
            "total_resenas": 156
        }
    }
}

Response fields

Field Type Description
id string Unique business UUID
nombre string Commercial name
descripcion string Business description
email string Contact email
telefono string Phone in international format
direccion object Physical business address
coordenadas object Latitude and longitude for maps
configuracion object Booking and payment settings
estadisticas object Counters and ratings
GET /api/v1/negocio/horarios/

Gets the business opening hours.

Request example

cURL
curl -X GET "https://app.salonbookit.com/api/v1/negocio/horarios/" \
  -H "X-API-Key: hh_pub_live_abc123..."

Response (200 OK)

JSON
{
    "success": true,
    "data": {
        "horarios": [
            {
                "dia": 1,
                "dia_nombre": "Lunes",
                "abierto": true,
                "apertura": "09:00",
                "cierre": "20:00",
                "descanso_inicio": "14:00",
                "descanso_fin": "16:00"
            },
            {
                "dia": 2,
                "dia_nombre": "Martes",
                "abierto": true,
                "apertura": "09:00",
                "cierre": "20:00",
                "descanso_inicio": null,
                "descanso_fin": null
            },
            // ... remaining days
            {
                "dia": 7,
                "dia_nombre": "Domingo",
                "abierto": false,
                "apertura": null,
                "cierre": null,
                "descanso_inicio": null,
                "descanso_fin": null
            }
        ],
        "timezone": "Europe/Madrid"
    }
}

Response fields

Field Type Description
dia integer Day of the week (1=Monday, 7=Sunday)
dia_nombre string Day name
abierto boolean Whether the business opens that day
apertura string|null Opening time (HH:MM)
cierre string|null Closing time (HH:MM)
descanso_inicio string|null Break start (HH:MM)
descanso_fin string|null Break end (HH:MM)
GET /api/v1/negocio/festivos/

Gets holidays or special closing days.

Query parameters

Parameter Type Description
desde string Start date (YYYY-MM-DD). Default: today
hasta string End date (YYYY-MM-DD). Default: +3 months

Request example

cURL
curl -X GET "https://app.salonbookit.com/api/v1/negocio/festivos/?desde=2024-01-01&hasta=2024-12-31" \
  -H "X-API-Key: hh_pub_live_abc123..."

Response (200 OK)

JSON
{
    "success": true,
    "data": {
        "festivos": [
            {
                "fecha": "2024-01-01",
                "motivo": "Año Nuevo",
                "todo_el_dia": true
            },
            {
                "fecha": "2024-01-06",
                "motivo": "Reyes Magos",
                "todo_el_dia": true
            },
            {
                "fecha": "2024-08-15",
                "motivo": "Vacaciones de verano",
                "todo_el_dia": true
            },
            {
                "fecha": "2024-12-25",
                "motivo": "Navidad",
                "todo_el_dia": true
            }
        ]
    }
}